import type { JSX } from '../../stencil-public-runtime';
import type { DisabledPropType, FocusableElement, HideLabelPropType, HideMsgPropType, HintPropType, IconsHorizontalPropType, InputTypeOnDefault, KolFocusOptions, LabelWithExpertSlotPropType, MsgPropType, MultiplePropType, NamePropType, OptionsWithOptgroupPropType, RequiredPropType, RowsPropType, SelectAPI, SelectStates, ShortKeyPropType, StencilUnknown, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType, VariantClassNamePropType } from '../../schema';
export declare class KolSelectWc implements SelectAPI, FocusableElement {
    private readonly host?;
    protected readonly ctaRef: import("../../utils/element-interaction").CtaRef<HTMLSelectElement>;
    getValue(): Promise<StencilUnknown[] | StencilUnknown>;
    focus(options?: KolFocusOptions): Promise<void>;
    click(): Promise<void>;
    private getFormFieldProps;
    private getSelectProps;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: IconsHorizontalPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _multiple?: boolean;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _options: OptionsWithOptgroupPropType;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _rows?: RowsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: Stringified<StencilUnknown[]> | Stringified<StencilUnknown>;
    _variant?: VariantClassNamePropType;
    state: SelectStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateDisabled(value?: DisabledPropType): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateHint(value?: HintPropType): void;
    validateIcons(value?: IconsHorizontalPropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateMultiple(value?: MultiplePropType): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateOptions(value?: OptionsWithOptgroupPropType): void;
    validateRequired(value?: RequiredPropType): void;
    validateRows(value?: RowsPropType): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<StencilUnknown[]> | Stringified<StencilUnknown>): void;
    validateVariant(value?: VariantClassNamePropType): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
}
